This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1479336 - [abrt] blueman: _init(): Manager.py:40:_init:GLib.GError: g-io-error-quark: Error calling StartServiceByName for org.bluez: GDBus.Error:org.freedesktop.systemd1.NoSuchUnit: Unit dbus-org.bluez.service not found. (36)
[abrt] blueman: _init(): Manager.py:40:_init:GLib.GError: g-io-error-quark: E...
Status: NEW
Product: Fedora
Classification: Fedora
Component: blueman (Show other bugs)
27
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pete Walter
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:345f53c6ff7886792881242bd20...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-08 07:43 EDT by Peter Gervase
Modified: 2017-09-29 08:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.02 KB, text/plain)
2017-08-08 07:43 EDT, Peter Gervase
no flags Details
File: cgroup (289 bytes, text/plain)
2017-08-08 07:43 EDT, Peter Gervase
no flags Details
File: cpuinfo (1.23 KB, text/plain)
2017-08-08 07:43 EDT, Peter Gervase
no flags Details
File: environ (3.34 KB, text/plain)
2017-08-08 07:43 EDT, Peter Gervase
no flags Details
File: mountinfo (3.44 KB, text/plain)
2017-08-08 07:43 EDT, Peter Gervase
no flags Details
File: namespaces (102 bytes, text/plain)
2017-08-08 07:43 EDT, Peter Gervase
no flags Details
File: open_fds (868 bytes, text/plain)
2017-08-08 07:43 EDT, Peter Gervase
no flags Details

  None (edit)
Description Peter Gervase 2017-08-08 07:43:41 EDT
Description of problem:
I turned on my computer this morning and then had to manually run `startx`. When I got logged in, I got this abrt notice.

Version-Release number of selected component:
blueman-2.1-0.5.alpha1.fc26

Additional info:
reporter:       libreport-2.9.1
cmdline:        python3 /usr/bin/blueman-applet
crash_function: _init
exception_type: GLib.GError
executable:     /usr/bin/blueman-applet
kernel:         4.13.0-0.rc3.git4.1.fc27.x86_64
runlevel:       N 5
type:           Python3
uid:            1001

Truncated backtrace:
Manager.py:40:_init:GLib.GError: g-io-error-quark: Error calling StartServiceByName for org.bluez: GDBus.Error:org.freedesktop.systemd1.NoSuchUnit: Unit dbus-org.bluez.service not found. (36)

Traceback (most recent call last):
  File "/usr/bin/blueman-applet", line 27, in <module>
    BluemanApplet()
  File "/usr/lib/python3.6/site-packages/blueman/main/Applet.py", line 33, in __init__
    self.Manager = Bluez.Manager()
  File "/usr/lib/python3.6/site-packages/blueman/bluez/Manager.py", line 30, in __new__
    cls._instance._init(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blueman/bluez/Manager.py", line 40, in _init
    self.__bus_name, '/', None, None, None)
GLib.GError: g-io-error-quark: Error calling StartServiceByName for org.bluez: GDBus.Error:org.freedesktop.systemd1.NoSuchUnit: Unit dbus-org.bluez.service not found. (36)

Local variables in innermost frame:
self: <Manager.Manager object at 0x7f81057f2798 (blueman+bluez+Manager+Manager at 0x12ec044260)>
__class__: <class 'blueman.bluez.Manager.Manager'>
Comment 1 Peter Gervase 2017-08-08 07:43:46 EDT
Created attachment 1310574 [details]
File: backtrace
Comment 2 Peter Gervase 2017-08-08 07:43:47 EDT
Created attachment 1310575 [details]
File: cgroup
Comment 3 Peter Gervase 2017-08-08 07:43:48 EDT
Created attachment 1310576 [details]
File: cpuinfo
Comment 4 Peter Gervase 2017-08-08 07:43:50 EDT
Created attachment 1310577 [details]
File: environ
Comment 5 Peter Gervase 2017-08-08 07:43:51 EDT
Created attachment 1310578 [details]
File: mountinfo
Comment 6 Peter Gervase 2017-08-08 07:43:52 EDT
Created attachment 1310579 [details]
File: namespaces
Comment 7 Peter Gervase 2017-08-08 07:43:54 EDT
Created attachment 1310580 [details]
File: open_fds
Comment 8 Jan Kurik 2017-08-15 02:15:05 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.
Comment 9 Peter Gervase 2017-09-29 08:49:08 EDT
This is still an issue with blueman-2.1-0.7.alpha1.fc27.x86_64

Note You need to log in before you can comment on or make changes to this bug.